import React from 'react';
import { Select } from 'antd';
import _ from 'lodash';

export default class BaseSelect extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { selectProps, fieldProps } = this.props;
    const { children, ...otherProps } = selectProps;
    const fieldMap = _.get(fieldProps, 'config.fields') || {};
    const options = [];
    Object.keys(fieldMap).forEach(key => {
      options.push({
        value: key,
        label: fieldMap[key].label,
        display: fieldMap[key].display,
      });
    });

    return (
      <Select
        {...otherProps}
      >
        {
          options.map(item => {
            return <Select.Option
              key={item.value}
              value={item.value}
              style={{
                // 支持隐藏
                display: item.display === false ? 'none' : 'flex',
              }}
            >
              {item.label}
            </Select.Option>
          })
        }
      </Select>
    );
  }
};
